# $Revision: 1.310 $, $Date: 2010/09/27 12:11:14 $
#
# TODO:
# - Find how to compile with PLD CFLAGS/CXXFLAGS/LDFLAGS.
# - Package SDK.
# - Package utils (and write initscripts ?) for Guest OS.
# - Check License of VBoxGuestAdditions_*.iso, it's probably not GPL v2.
#   If so check if it is distributable.
#
# Conditional build:
%bcond_without	dist_kernel	# without distribution kernel
%bcond_without	kernel		# don't build kernel module
%bcond_without	userspace	# don't build userspace package
%bcond_with	force_userspace # force userspace build (useful if alt_kernel is set)
%bcond_with	verbose

%if %{without kernel}
%undefine	with_dist_kernel
%endif
%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif
%if %{with force_userspace}
%define		with_userspace 1
%endif
%if %{without userspace}
# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0
%endif

%define		rel		12
%define		pname		VirtualBox

Summary:	VirtualBox OSE - x86 hardware virtualizer
Summary(pl.UTF-8):	VirtualBox OSE - wirtualizator sprzętu x86
Name:		%{pname}%{_alt_kernel}
Version:	3.2.8
Release:	%{rel}
License:	GPL v2
Group:		Applications/Emulators
Source0:	http://download.virtualbox.org/virtualbox/%{version}/%{pname}-%{version}-OSE.tar.bz2
# Source0-md5:	84de65bddb365ba61eddd3b112b303e5
Source1:	http://download.virtualbox.org/virtualbox/%{version}/UserManual.pdf
# Source1-md5:	322feb471c55b81e95e0caecdc93efb0
Source2:	http://download.virtualbox.org/virtualbox/%{version}/VBoxGuestAdditions_%{version}.iso
# Source2-md5:	023cc07b07e0b3850c5e8c354ddc6075
Source3:	%{pname}-vboxdrv.init
Source4:	%{pname}-vboxguest.init
Source5:	%{pname}-vboxnetflt.init
Source6:	%{pname}-vboxsf.init
Source7:	%{pname}-vboxnetadp.init
Source8:	%{pname}.sh
Source9:	mount.vdi
Source10:	udev.rules
Patch0:		%{pname}-configure.patch
Patch1:		%{pname}-configure-spaces.patch
Patch2:		%{pname}-export_modules.patch
Patch3:		%{pname}-VBoxSysInfo.patch
Patch4:		%{pname}-warning_workaround.patch
Patch5:		%{pname}-vnc.patch
URL:		http://www.virtualbox.org/
BuildRequires:	rpmbuild(macros) >= 1.535
%if %{with userspace}
%ifarch %{x8664}
BuildRequires:	gcc-multilib
BuildRequires:	glibc-devel(i686)
BuildRequires:	libstdc++-multilib-devel
BuildRequires:	libstdc++-multilib-static
%endif
%if "%{pld_release}" == "ac"
BuildRequires:	XFree86-devel
%else
BuildRequires:	xorg-lib-libXcursor-devel
BuildRequires:	xorg-lib-libXmu-devel
%endif
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-devel
BuildRequires:	QtGui-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	QtOpenGL-devel
BuildRequires:	SDL-devel >= 1.2.7
BuildRequires:	acpica
BuildRequires:	alsa-lib-devel >= 1.0.6
BuildRequires:	bash
BuildRequires:	bcc
BuildRequires:	bin86
BuildRequires:	curl-devel
BuildRequires:	gcc >= 5:3.2.3
BuildRequires:	libIDL-devel
BuildRequires:	libcap-static
BuildRequires:	libpng-devel >= 1.2.5
BuildRequires:	libstdc++-devel >= 5:3.2.3
BuildRequires:	libstdc++-static >= 5:3.2.3
BuildRequires:	libuuid-devel
BuildRequires:	libvncserver-devel
BuildRequires:	libxml2-devel >= 2.6.26
BuildRequires:	libxslt-devel >= 1.1.17
BuildRequires:	libxslt-progs >= 1.1.17
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio-devel >= 0.9.0
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	qt4-build >= 4.2.0
BuildRequires:	qt4-linguist
BuildRequires:	sed >= 4.0
BuildRequires:	which
BuildRequires:	xalan-c-devel >= 1.10.0
BuildRequires:	xerces-c-devel >= 2.6.0
BuildRequires:	zlib-devel >= 1.2.1
%endif
%if %{with dist_kernel}
BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.20
%endif
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires:	QtCore >= 4.6.1
Suggests:	gxmessage
Provides:	group(vbox)
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%ifarch %{x8664}
%define		vbox_platform	linux.amd64
%else
%define		vbox_platform	linux.x86
%endif
%define		outdir		out/%{vbox_platform}/release/bin
%define		_sbindir	/sbin

%description
Oracle VirtualBox OSE is a general-purpose full virtualizer for x86
hardware. Targeted at server, desktop and embedded use, it is now the
only professional-quality virtualization solution that is also Open
Source Software.

Some of the features of VirtualBox OSE are:

Modularity: VirtualBox OSE has an extremely modular design with
well-defined internal programming interfaces and a client/server
design. This makes it easy to control it from several interfaces at
once: for example, you can start a virtual machine in a typical
virtual machine GUI and then control that machine from the command
line. VirtualBox OSE also comes with a full Software Development Kit:
even though it is Open Source Software, you don't have to hack the
source to write a new interface for VirtualBox OSE.

Virtual machine descriptions in XML: the configuration settings of
virtual machines are stored entirely in XML and are independent of the
local machines. Virtual machine definitions can therefore easily be
ported to other computers.

You should install this package in your Host OS.

%description -l pl.UTF-8
Oracle VirtualBox OSE jest emulatorem sprzętu x86. Kierowany do
zastosowań serwerowych, desktopowych oraz wbudowanych jest obecnie
jedynym wysokiej jakości rozwiązaniem wirtualizacyjnym dostępnym
również jako Otwarte Oprogramowanie.

Przykładowe cechy VirtualBoksa:

Modularność: VirtualBox OSE jest wysoce zmodularyzowanym produktem z
dobrze zaprojektowanym wewnętrznym interfejsem programowym typu
klient/serwer. Dzięki temu można łatwo kontrolować go za pomocą
różnych interfejsów. Można na przykład uruchomić maszynę wirtualną z
poziomu interfejsu graficznego, a później kontrolować ją z linii
poleceń. VirtualBox OSE dostarcza również pełny pakiet deweloperski,
co pozwala stworzyć dowolny inny interfejs zarządzania maszyną
wirtualną.

Opisy maszyn wirtualnych w XML-u: konfiguracje poszczególnych maszyn
wirtualnych są w całości przechowywane w XML-u i są niezależne od
lokalnej maszyny. Dzięki temu można szybko i łatwo przenieść
konfigurację maszyny wirtualnej na inny komputer.

%package udev
Summary:	udev rules for VirtualBox OSE kernel modules
Summary(pl.UTF-8):	Reguły udev dla modułów jądra Linuksa dla VirtualBoksa
Group:		Base/Kernel
Requires:	udev-core

%description udev
udev rules for VirtualBox OSE kernel modules.

You should install this package in your Host OS and in Guest OS.

%description udev -l pl.UTF-8
Reguły udev dla modułów jądra Linuksa dla VirtualBoksa.

%package additions
Summary:	VirtualBox Guest Additions
Group:		Base
Requires:	%{name} = %{version}-%{release}

%description additions
VirtualBox Guest Additions.

This package contains ISO9660 image with drivers for Guest OS.

You should install this package in your Host OS.

%package guest
Summary:	VirtualBox Guest Additions
Group:		Base
Requires:	kernel%{_alt_kernel}-misc-vboxsf = %{version}-%{rel}@%{_kernel_ver_str}
Requires:	kernel%{_alt_kernel}-misc-vboxvideo = %{version}-%{rel}@%{_kernel_ver_str}
Requires:	xorg-driver-input-vboxmouse = %{version}-%{release}
Requires:	xorg-driver-video-vboxvideo = %{version}-%{release}

%description guest
Tools that utilize kernel modules for supporting integration with the
Host, including file sharing and tracking of mouse pointer movement
and X.org X11 video and mouse driver.

You should install this package in your Guest OS.

%package -n pam-pam_vbox
Summary:	PAM module to perform automated guest logons
Group:		Base

%description  -n pam-pam_vbox
PAM module (Pluggable Authentication Module) which can be used to
perform automated guest logons.

%package -n xorg-driver-input-vboxmouse
Summary:	X.org mouse driver for VirtualBox OSE guest OS
Summary(pl.UTF-8):	Sterownik myszy dla systemu gościa w VirtualBoksie OSE
Group:		X11/Applications
Requires:	xorg-xserver-server >= 1.0.99.901
%if "%{pld_release}" == "ti"
Requires:	xorg-xserver-server(xinput-abi) <= 7.0
%else
Requires:	xorg-xserver-server(xinput-abi) <= 9.0
%endif
Requires:	xorg-xserver-server(xinput-abi) >= 4.0

%description -n xorg-driver-input-vboxmouse
X.org mouse driver for VirtualBox OSE guest OS.

%description -n xorg-driver-input-vboxmouse  -l pl.UTF-8
Sterownik myszy dla systemu gościa w VirtualBoksie.

%package -n xorg-driver-video-vboxvideo
Summary:	X.org video driver for VirtualBox OSE guest OS
Summary(pl.UTF-8):	Sterownik grafiki dla systemu gościa w VirtualBoksie OSE
Group:		X11/Applications
Requires:	xorg-xserver-libdri >= 1.7.4
Requires:	xorg-xserver-server >= 1.0.99.901
%if "%{pld_release}" == "ti"
Requires:	xorg-xserver-server(videodrv-abi) <= 6.0
%else
Requires:	xorg-xserver-server(videodrv-abi) <= 7.0
%endif
Requires:	xorg-xserver-server(videodrv-abi) >= 2.0

%description -n xorg-driver-video-vboxvideo
X.org video driver for VirtualBox OSE guest OS.

%description -n xorg-driver-video-vboxvideo -l pl.UTF-8
Sterownik grafiki dla systemu gościa w VirtualBoksie OSE.

%package -n kernel%{_alt_kernel}-misc-vboxguest
Summary:	VirtualBox OSE Guest Additions for Linux Module
Summary(pl.UTF-8):	Moduł jądra Linuksa dla VirtualBoksa OSE
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
Requires:	dev >= 2.9.0-7
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
Provides:	kernel(vboxguest) = %{version}-%{rel}
Obsoletes:	kernel%{_alt_kernel}-misc-vboxadd
Conflicts:	kernel%{_alt_kernel}-misc-vboxdrv

%description -n kernel%{_alt_kernel}-misc-vboxguest
VirtualBox OSE Guest Additions for Linux Module.

You should install this package in your Guest OS.

%description -n kernel%{_alt_kernel}-misc-vboxguest -l pl.UTF-8
Moduł jądra Linuksa vboxguest dla VirtualBoksa OSE - dodatki dla
systemu gościa.

%package -n kernel%{_alt_kernel}-misc-vboxdrv
Summary:	VirtualBox OSE Support Driver
Summary(pl.UTF-8):	Moduł jądra Linuksa dla VirtualBoksa OSE
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
Requires:	dev >= 2.9.0-7
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
Provides:	kernel(vboxdrv) = %{version}-%{rel}

%description -n kernel%{_alt_kernel}-misc-vboxdrv
VirtualBox OSE Support Driver.

You should install this package in your Host OS.

%description -n kernel%{_alt_kernel}-misc-vboxdrv -l pl.UTF-8
Moduł jądra Linuksa dla VirtualBoksa OSE - sterownik wsparcia dla
systemu głównego.

%package -n kernel%{_alt_kernel}-misc-vboxnetadp
Summary:	VirtualBox OSE Network Adapter Driver
Summary(pl.UTF-8):	Moduł jądra Linuksa dla VirtualBoksa OSE
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
Requires:	dev >= 2.9.0-7
Requires:	kernel%{_alt_kernel}-misc-vboxdrv
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
Provides:	kernel(vboxnetflt) = %{version}-%{rel}

%description -n kernel%{_alt_kernel}-misc-vboxnetadp
VirtualBox OSE Network Adapter Driver.

You should install this package in your Host OS.

%description -n kernel%{_alt_kernel}-misc-vboxnetadp -l pl.UTF-8
Moduł jądra Linuksa dla VirtualBoksa OSE - sterownik witrualnej karty
sieciowej.

%package -n kernel%{_alt_kernel}-misc-vboxnetflt
Summary:	VirtualBox OSE Network Filter Driver
Summary(pl.UTF-8):	Moduł jądra Linuksa dla VirtualBoksa OSE
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
Requires:	dev >= 2.9.0-7
Requires:	kernel%{_alt_kernel}-misc-vboxdrv
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
Provides:	kernel(vboxnetflt) = %{version}-%{rel}

%description -n kernel%{_alt_kernel}-misc-vboxnetflt
VirtualBox OSE Network Filter Driver.

You should install this package in your Host OS.

%description -n kernel%{_alt_kernel}-misc-vboxnetflt -l pl.UTF-8
Moduł jądra Linuksa dla VirtualBoksa OSE - sterownik filtrowania sieci
dla systemu głównego.

%package -n kernel%{_alt_kernel}-misc-vboxsf
Summary:	Host file system access (Shared Folders) for VirtualBox OSE
Summary(pl.UTF-8):	Moduł jądra Linuksa dla VirtualBoksa OSE
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
Requires:	dev >= 2.9.0-7
Requires:	kernel%{_alt_kernel}-misc-vboxguest
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
Provides:	kernel(vboxsf) = %{version}-%{rel}
Obsoletes:	kernel%{_alt_kernel}-misc-vboxvfs

%description -n kernel%{_alt_kernel}-misc-vboxsf
Host file system access (Shared Folders) for VirtualBox OSE.

You should install this package in your Guest OS.

%description -n kernel%{_alt_kernel}-misc-vboxsf -l pl.UTF-8
Moduł jądra Linuksa dla VirtualBoksa OSE - dostęp do plików systemu
głównego z poziomu systemu gościa.

%package -n kernel%{_alt_kernel}-misc-vboxvideo
Summary:	DRM support for VirtualBox OSE
Summary(pl.UTF-8):	Moduł jądra Linuksa dla VirtualBoksa OSE
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
Requires:	dev >= 2.9.0-7
%if %{with dist_kernel}
%requires_releq_kernel
%if "%{rpm_build_macros}" >= "1.531"
%requires_releq_kernel -n drm
%endif
Requires(postun):	%releq_kernel
%endif
Provides:	kernel(vboxvideo) = %{version}-%{rel}

%description -n kernel%{_alt_kernel}-misc-vboxvideo
DRM support for VirtualBox OSE.

You should install this package in your Guest OS.

%description -n kernel%{_alt_kernel}-misc-vboxvideo -l pl.UTF-8
Moduł jądra Linuksa dla VirtualBoksa OSE - sterownik obsługi DRM.

%prep
%setup -q -n %{pname}-%{version}_OSE
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%{__sed} -i -e 's,$VBOX_DOC_PATH,%{_docdir}/%{name}-%{version},' src/VBox/Installer/linux/virtualbox.desktop
%{__sed} -i -e 's/Categories=.*/Categories=Utility;Emulator;/' src/VBox/Installer/linux/virtualbox.desktop

cp -a %{SOURCE1} .
sed 's#@LIBDIR@#%{_libdir}#' < %{SOURCE8} > VirtualBox-wrapper.sh

install -d PLD-MODULE-BUILD/{GuestDrivers,HostDrivers}
cd PLD-MODULE-BUILD
../src/VBox/Additions/linux/export_modules guest-modules.tar.gz
tar -zxf guest-modules.tar.gz -C GuestDrivers

../src/VBox/HostDrivers/linux/export_modules host-modules.tar.gz --without-hardening
tar -zxf host-modules.tar.gz -C HostDrivers
cd -

%build
%if %{with userspace}
echo "VBOX_WITH_TESTCASES := " > LocalConfig.kmk
./configure \
	--with-gcc="%{__cc}" \
	--with-g++="%{__cxx}" \
	--disable-hardening \
	--disable-kmods

. ./env.sh && \
kmk -j1 %{?with_verbose:KBUILD_VERBOSE=3} USER=$(id -un)
%endif

%if %{with kernel}
cd PLD-MODULE-BUILD/HostDrivers
%build_kernel_modules -m vboxdrv -C vboxdrv
%build_kernel_modules -m vboxnetadp -C vboxnetadp
%build_kernel_modules -m vboxnetflt -C vboxnetflt

cd ../GuestDrivers
%build_kernel_modules -m vboxguest -C vboxguest
cp -a vboxguest/Module.symvers vboxsf
%build_kernel_modules -m vboxsf -C vboxsf -c
%build_kernel_modules -m vboxvideo -C vboxvideo_drm
cd ../..
%{__cc} %{rpmcflags} %{rpmldflags} -Wall -Werror src/VBox/Additions/linux/sharedfolders/mount.vboxsf.c -o mount.vboxsf
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with userspace}
install -d \
	$RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_libdir},%{_pixmapsdir},%{_desktopdir}} \
	$RPM_BUILD_ROOT%{_libdir}/xorg/modules/{drivers,dri,input}

# test if we can hardlink -- %{_builddir} and $RPM_BUILD_ROOT on same partition
if cp -al VBox.png $RPM_BUILD_ROOT/Vbox.png 2>/dev/null; then
	l=l
	rm -f $RPM_BUILD_ROOT/VBox.png
fi

cp -a$l %{outdir} $RPM_BUILD_ROOT%{_libdir}/%{pname}

cp -a %{SOURCE2} $RPM_BUILD_ROOT%{_libdir}/VirtualBox/additions/VBoxGuestAdditions.iso
install -p %{SOURCE9} $RPM_BUILD_ROOT%{_sbindir}/mount.vdi
install -p VirtualBox-wrapper.sh $RPM_BUILD_ROOT%{_libdir}/%{pname}
for f in {VBox{BFE,Headless,Manage,SDL,SVC,Tunctl,XPCOMIPCD},VirtualBox}; do
	ln -s %{_libdir}/%{pname}/VirtualBox-wrapper.sh $RPM_BUILD_ROOT%{_bindir}/$f
done

mv $RPM_BUILD_ROOT{%{_libdir}/%{pname},%{_pixmapsdir}}/VBox.png
mv $RPM_BUILD_ROOT{%{_libdir}/%{pname},%{_desktopdir}}/virtualbox.desktop

%if "%{pld_release}" == "ti"
mv $RPM_BUILD_ROOT{%{_libdir}/%{pname}/additions/vboxmouse_drv_17.so,%{_libdir}/xorg/modules/input/vboxmouse_drv.so}
mv $RPM_BUILD_ROOT{%{_libdir}/%{pname}/additions/vboxvideo_drv_17.so,%{_libdir}/xorg/modules/drivers/vboxvideo_drv.so}
%else
mv $RPM_BUILD_ROOT{%{_libdir}/%{pname}/additions/vboxmouse_drv_18.so,%{_libdir}/xorg/modules/input/vboxmouse_drv.so}
mv $RPM_BUILD_ROOT{%{_libdir}/%{pname}/additions/vboxvideo_drv_18.so,%{_libdir}/xorg/modules/drivers/vboxvideo_drv.so}
%endif
mv $RPM_BUILD_ROOT{%{_libdir}/%{pname}/additions/VBoxOGL.so,%{_libdir}/xorg/modules/dri/vboxvideo_dri.so}
# xorg other driver versions
rm -vf $RPM_BUILD_ROOT%{_libdir}/%{pname}/additions/vboxmouse_drv*.{o,so}
rm -vf $RPM_BUILD_ROOT%{_libdir}/%{pname}/additions/vboxvideo_drv*.{o,so}

# XXX: where else to install them that vboxvideo_dri.so finds them? patch with rpath?
mv $RPM_BUILD_ROOT{%{_libdir}/%{pname}/additions,%{_libdir}}/VBoxOGLarrayspu.so
mv $RPM_BUILD_ROOT{%{_libdir}/%{pname}/additions,%{_libdir}}/VBoxOGLcrutil.so
mv $RPM_BUILD_ROOT{%{_libdir}/%{pname}/additions,%{_libdir}}/VBoxOGLerrorspu.so
mv $RPM_BUILD_ROOT{%{_libdir}/%{pname}/additions,%{_libdir}}/VBoxOGLfeedbackspu.so
mv $RPM_BUILD_ROOT{%{_libdir}/%{pname}/additions,%{_libdir}}/VBoxOGLpackspu.so
mv $RPM_BUILD_ROOT{%{_libdir}/%{pname}/additions,%{_libdir}}/VBoxOGLpassthroughspu.so

install -d $RPM_BUILD_ROOT/etc/udev/rules.d
cp -a %{SOURCE10} $RPM_BUILD_ROOT/etc/udev/rules.d/virtualbox.rules

install -d $RPM_BUILD_ROOT/%{_lib}/security
mv $RPM_BUILD_ROOT{%{_libdir}/VirtualBox/additions,/%{_lib}/security}/pam_vbox.so

# cleanup unpackaged
rm -r $RPM_BUILD_ROOT%{_libdir}/%{pname}/{src,sdk,testcase}
rm -r $RPM_BUILD_ROOT%{_libdir}/%{pname}/additions/src
rm $RPM_BUILD_ROOT%{_libdir}/%{pname}/vboxkeyboard.tar.bz2
rm $RPM_BUILD_ROOT%{_libdir}/%{pname}/tst*

# IPRT Testcase / Tool - Source Code Massager.
rm $RPM_BUILD_ROOT%{_libdir}/%{pname}/scm

# Guest Only Tools
mv $RPM_BUILD_ROOT{%{_libdir}/%{pname}/additions,%{_bindir}}/VBoxService

# unknown - checkme
%if 1
rm $RPM_BUILD_ROOT%{_libdir}/%{pname}/SUPInstall
rm $RPM_BUILD_ROOT%{_libdir}/%{pname}/SUPLoggerCtl
rm $RPM_BUILD_ROOT%{_libdir}/%{pname}/SUPUninstall
rm $RPM_BUILD_ROOT%{_libdir}/%{pname}/VBox.sh
rm $RPM_BUILD_ROOT%{_libdir}/%{pname}/additions/VBoxClient
rm $RPM_BUILD_ROOT%{_libdir}/%{pname}/additions/VBoxControl
rm $RPM_BUILD_ROOT%{_libdir}/%{pname}/vboxshell.py
rm $RPM_BUILD_ROOT%{_libdir}/%{pname}/xpidl
%endif

# packaged by kernel part
rm $RPM_BUILD_ROOT%{_libdir}/%{pname}/additions/mount.vboxsf
%endif

%if %{with kernel}
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,modprobe.d},%{_sbindir}}
install -p %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/vboxdrv
install -p %{SOURCE4} $RPM_BUILD_ROOT/etc/rc.d/init.d/vboxguest
install -p %{SOURCE5} $RPM_BUILD_ROOT/etc/rc.d/init.d/vboxnetflt
install -p %{SOURCE6} $RPM_BUILD_ROOT/etc/rc.d/init.d/vboxsf
install -p %{SOURCE7} $RPM_BUILD_ROOT/etc/rc.d/init.d/vboxnetadp
%install_kernel_modules -m PLD-MODULE-BUILD/HostDrivers/vboxdrv/vboxdrv -d misc
%install_kernel_modules -m PLD-MODULE-BUILD/HostDrivers/vboxnetadp/vboxnetadp -d misc
%install_kernel_modules -m PLD-MODULE-BUILD/HostDrivers/vboxnetflt/vboxnetflt -d misc
%install_kernel_modules -m PLD-MODULE-BUILD/GuestDrivers/vboxguest/vboxguest -d misc
%install_kernel_modules -m PLD-MODULE-BUILD/GuestDrivers/vboxsf/vboxsf -d misc
%install_kernel_modules -m PLD-MODULE-BUILD/GuestDrivers/vboxvideo_drm/vboxvideo -d misc

install -p mount.vboxsf $RPM_BUILD_ROOT%{_sbindir}/mount.vboxsf

%endif

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 221 -r -f vbox

%post
cat << 'EOF'
You must install vboxdrv kernel module for this software to work:
    kernel-misc-vboxdrv-%{version}-%{rel}@%{_kernel_ver_str}

Additionally you might want to install:
    kernel-misc-vboxnetadp-%{version}-%{rel}@%{_kernel_ver_str}
    kernel-misc-vboxnetflt-%{version}-%{rel}@%{_kernel_ver_str}

On Guest Linux system you might want to install:
    kernel-misc-vboxguest-%{version}-%{rel}@%{_kernel_ver_str}
    kernel-misc-vboxsf-%{version}-%{rel}@%{_kernel_ver_str}
    kernel-misc-vboxvideo-%{version}-%{rel}@%{_kernel_ver_str}

EOF

%postun
if [ "$1" = "0" ]; then
	%groupremove vbox
fi

%post	-n kernel%{_alt_kernel}-misc-vboxguest
%depmod %{_kernel_ver}
/sbin/chkconfig --add vboxguest
%service vboxguest restart "VirtualBox OSE Guest additions driver"

%postun	-n kernel%{_alt_kernel}-misc-vboxguest
%depmod %{_kernel_ver}

%preun -n kernel%{_alt_kernel}-misc-vboxguest
if [ "$1" = "0" ]; then
	%service vboxguest stop
	/sbin/chkconfig --del vboxguest
fi

%post	-n kernel%{_alt_kernel}-misc-vboxdrv
%depmod %{_kernel_ver}
/sbin/chkconfig --add vboxdrv
%service vboxdrv restart "VirtualBox OSE Support Driver"

%postun	-n kernel%{_alt_kernel}-misc-vboxdrv
%depmod %{_kernel_ver}

%preun -n kernel%{_alt_kernel}-misc-vboxdrv
if [ "$1" = "0" ]; then
	%service vboxdrv stop
	/sbin/chkconfig --del vboxdrv
fi

%post	-n kernel%{_alt_kernel}-misc-vboxnetadp
%depmod %{_kernel_ver}
/sbin/chkconfig --add vboxnetadp
%service vboxnetadp restart "VirtualBox OSE Network HostOnly driver"

%postun	-n kernel%{_alt_kernel}-misc-vboxnetadp
%depmod %{_kernel_ver}

%preun -n kernel%{_alt_kernel}-misc-vboxnetadp
if [ "$1" = "0" ]; then
	%service vboxnetadp stop
	/sbin/chkconfig --del vboxnetadp
fi

%post	-n kernel%{_alt_kernel}-misc-vboxnetflt
%depmod %{_kernel_ver}
/sbin/chkconfig --add vboxnetflt
%service vboxnetflt restart "VirtualBox OSE Network Filter driver"

%postun	-n kernel%{_alt_kernel}-misc-vboxnetflt
%depmod %{_kernel_ver}

%preun -n kernel%{_alt_kernel}-misc-vboxnetflt
if [ "$1" = "0" ]; then
	%service vboxnetflt stop
	/sbin/chkconfig --del vboxnetflt
fi

%post	-n kernel%{_alt_kernel}-misc-vboxsf
%depmod %{_kernel_ver}
/sbin/chkconfig --add vboxsf
%service vboxsf restart "VirtualBox OSE Host file system access (Shared Folders)"

%postun	-n kernel%{_alt_kernel}-misc-vboxsf
%depmod %{_kernel_ver}

%preun -n kernel%{_alt_kernel}-misc-vboxsf
if [ "$1" = "0" ]; then
	%service vboxsf stop
	/sbin/chkconfig --del vboxsf
fi

%post	-n kernel%{_alt_kernel}-misc-vboxvideo
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-misc-vboxvideo
%depmod %{_kernel_ver}

%if %{with userspace}
%files
%defattr(644,root,root,755)
%doc UserManual.pdf
%dir %{_libdir}/VirtualBox
%dir %{_libdir}/VirtualBox/additions
%dir %{_libdir}/VirtualBox/components
%dir %{_libdir}/VirtualBox/nls
%attr(755,root,root) %{_bindir}/VBoxBFE
%attr(755,root,root) %{_bindir}/VBoxHeadless
%attr(755,root,root) %{_bindir}/VBoxManage
%attr(755,root,root) %{_bindir}/VBoxSDL
%attr(755,root,root) %{_bindir}/VBoxSVC
%attr(755,root,root) %{_bindir}/VBoxTunctl
%attr(755,root,root) %{_bindir}/VBoxXPCOMIPCD
%attr(755,root,root) %{_bindir}/VirtualBox
%attr(755,root,root) %{_sbindir}/mount.vdi
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxSVC
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxBFE
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxHeadless
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxManage
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxSDL
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxTestOGL
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxTunctl
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxXPCOMIPCD
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxDD.so
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxDD2.so
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxDDU.so
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxGuestControlSvc.so
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxGuestPropSvc.so
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxKeyboard.so
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxNetAdpCtl
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxNetDHCP
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxOGLhostcrutil.so
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxOGLhosterrorspu.so
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxOGLrenderspu.so
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxPython*.so
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxREM.so
%ifarch %{ix86}
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxREM32.so
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxREM64.so
%endif
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxRT.so
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxSharedClipboard.so
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxSharedCrOpenGL.so
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxSharedFolders.so
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxVMM.so
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxXPCOM.so
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxXPCOMC.so
%attr(755,root,root) %{_libdir}/VirtualBox/VirtualBox
%attr(755,root,root) %{_libdir}/VirtualBox/VirtualBox-wrapper.sh
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxSysInfo.sh
%{_libdir}/VirtualBox/VBoxDD2GC.gc
%{_libdir}/VirtualBox/VBoxDDGC.gc
%{_libdir}/VirtualBox/VMMGC.gc
%{_libdir}/VirtualBox/VBoxDD2R0.r0
%{_libdir}/VirtualBox/VBoxDDR0.r0
%{_libdir}/VirtualBox/VMMR0.r0
%{_libdir}/VirtualBox/EfiThunk
%{_libdir}/VirtualBox/VBoxEFI32.fd
%{_libdir}/VirtualBox/VBoxEFI64.fd
%{_libdir}/VirtualBox/components/VBoxXPCOMBase.xpt
%{_libdir}/VirtualBox/components/VirtualBox_XPCOM.xpt
%attr(755,root,root) %{_libdir}/VirtualBox/components/VBoxC.so
%attr(755,root,root) %{_libdir}/VirtualBox/components/VBoxSVCM.so
%attr(755,root,root) %{_libdir}/VirtualBox/components/VBoxXPCOMIPCC.so
%lang(ar) %{_libdir}/VirtualBox/nls/*_ar.qm
%lang(bg) %{_libdir}/VirtualBox/nls/*_bg.qm
%lang(ca) %{_libdir}/VirtualBox/nls/*_ca.qm
%lang(ca_VA) %{_libdir}/VirtualBox/nls/*_ca_VA.qm
%lang(cs) %{_libdir}/VirtualBox/nls/*_cs.qm
%lang(da) %{_libdir}/VirtualBox/nls/*_da.qm
%lang(de) %{_libdir}/VirtualBox/nls/*_de.qm
%lang(el) %{_libdir}/VirtualBox/nls/*_el.qm
%lang(en) %{_libdir}/VirtualBox/nls/*_en.qm
%lang(es) %{_libdir}/VirtualBox/nls/*_es.qm
%lang(eu) %{_libdir}/VirtualBox/nls/*_eu.qm
%lang(fi) %{_libdir}/VirtualBox/nls/*_fi.qm
%lang(fr) %{_libdir}/VirtualBox/nls/*_fr.qm
%lang(gl_ES) %{_libdir}/VirtualBox/nls/*_gl_ES.qm
%lang(hu) %{_libdir}/VirtualBox/nls/*_hu.qm
%lang(id) %{_libdir}/VirtualBox/nls/*_id.qm
%lang(it) %{_libdir}/VirtualBox/nls/*_it.qm
%lang(ja) %{_libdir}/VirtualBox/nls/*_ja.qm
%lang(km_KH) %{_libdir}/VirtualBox/nls/*_km_KH.qm
%lang(ko) %{_libdir}/VirtualBox/nls/*_ko.qm
%lang(lt) %{_libdir}/VirtualBox/nls/*_lt.qm
%lang(nl) %{_libdir}/VirtualBox/nls/*_nl.qm
%lang(pl) %{_libdir}/VirtualBox/nls/*_pl.qm
%lang(pt) %{_libdir}/VirtualBox/nls/*_pt.qm
%lang(pt_BR) %{_libdir}/VirtualBox/nls/*_pt_BR.qm
%lang(ro) %{_libdir}/VirtualBox/nls/*_ro.qm
%lang(ru) %{_libdir}/VirtualBox/nls/*_ru.qm
%lang(sk) %{_libdir}/VirtualBox/nls/*_sk.qm
%lang(sr) %{_libdir}/VirtualBox/nls/*_sr.qm
%lang(sv) %{_libdir}/VirtualBox/nls/*_sv.qm
%lang(tr) %{_libdir}/VirtualBox/nls/*_tr.qm
%lang(uk) %{_libdir}/VirtualBox/nls/*_uk.qm
%lang(zh_CN) %{_libdir}/VirtualBox/nls/*_zh_CN.qm
%lang(zh_TW) %{_libdir}/VirtualBox/nls/*_zh_TW.qm
%{_pixmapsdir}/VBox.png
%{_desktopdir}/*.desktop

%files additions
%defattr(644,root,root,755)
%{_libdir}/VirtualBox/additions/VBoxGuestAdditions.iso

%files guest
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/VBoxService

%files -n pam-pam_vbox
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/security/pam_vbox.so

%files udev
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/udev/rules.d/virtualbox.rules

%files -n xorg-driver-input-vboxmouse
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xorg/modules/input/vboxmouse_drv.so

%files -n xorg-driver-video-vboxvideo
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/vboxvideo_drv.so
%attr(755,root,root) %{_libdir}/xorg/modules/dri/vboxvideo_dri.so
# vboxvideo_dri.so deps
%attr(755,root,root) %{_libdir}/VBoxOGLarrayspu.so
%attr(755,root,root) %{_libdir}/VBoxOGLcrutil.so
%attr(755,root,root) %{_libdir}/VBoxOGLerrorspu.so
%attr(755,root,root) %{_libdir}/VBoxOGLfeedbackspu.so
%attr(755,root,root) %{_libdir}/VBoxOGLpackspu.so
%attr(755,root,root) %{_libdir}/VBoxOGLpassthroughspu.so
%endif

%if %{with kernel}
%files -n kernel%{_alt_kernel}-misc-vboxguest
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/vboxguest
/lib/modules/%{_kernel_ver}/misc/vboxguest.ko*

%files -n kernel%{_alt_kernel}-misc-vboxdrv
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/vboxdrv
/lib/modules/%{_kernel_ver}/misc/vboxdrv.ko*

%files -n kernel%{_alt_kernel}-misc-vboxnetadp
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/vboxnetadp
/lib/modules/%{_kernel_ver}/misc/vboxnetadp.ko*

%files -n kernel%{_alt_kernel}-misc-vboxnetflt
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/vboxnetflt
/lib/modules/%{_kernel_ver}/misc/vboxnetflt.ko*

%files -n kernel%{_alt_kernel}-misc-vboxsf
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/vboxsf
%attr(755,root,root) %{_sbindir}/mount.vboxsf
/lib/modules/%{_kernel_ver}/misc/vboxsf.ko*

%files -n kernel%{_alt_kernel}-misc-vboxvideo
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/misc/vboxvideo.ko*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: VirtualBox.spec,v $
Revision 1.310  2010/09/27 12:11:14  arekm
- release 12

Revision 1.309  2010/09/21 07:58:36  arekm
- release 11

Revision 1.308  2010/09/16 06:48:33  arekm
- release 10

Revision 1.307  2010/08/31 19:28:46  baggins
- rel 9

Revision 1.306  2010/08/31 15:58:34  baggins
- crap

Revision 1.305  2010/08/31 15:41:06  baggins
- enable VNC server in VBoxHeadless frontend

Revision 1.304  2010/08/30 08:25:54  hawk
- testcases are broken on some gcc versions, disable them till they'll get
  fixed (as suggested by upstream in comments to bug reports)

Revision 1.303  2010/08/27 08:35:47  arekm
- release 7

Revision 1.302  2010/08/22 05:47:25  arekm
- release 6

Revision 1.301  2010/08/19 08:03:57  glen
- fix -guest deps; rel 5

Revision 1.300  2010/08/15 16:42:33  arekm
- release 4

Revision 1.299  2010/08/11 09:28:14  arekm
- release 3

Revision 1.298  2010/08/09 07:57:29  arekm
- release 2

Revision 1.297  2010/08/08 08:20:01  baggins
- rel 1
- added Lithuania locale

Revision 1.296  2010/08/08 07:47:19  baggins
- 3.2.8

Revision 1.295  2010/08/03 10:34:15  glen
- unify

Revision 1.294  2010/08/03 10:33:40  glen
- fix duplicate export of vboxnetadp, which made whole export to fail and spec used .tmp dir instead
- reorganize kernel modules build with host/guest drivers more clearly

Revision 1.293  2010/08/02 14:25:12  glen
- notes about where to install what kernel package

Revision 1.292  2010/08/02 14:15:17  glen
- move udev rules to a file

Revision 1.291  2010/08/02 13:06:09  glen
- define kernel packages as last, then no need to mess with release in normal packages

Revision 1.290  2010/08/02 11:43:14  glen
- save old work: package guest only tools and other files

Revision 1.289  2010/08/02 07:42:08  glen
- adapter, perms for shared lib
- no point listing all kernel brands, you know to use them anyway

Revision 1.288  2010/07/31 17:27:21  baggins
- rel 1

Revision 1.287  2010/07/31 16:50:04  baggins
- 3.2.6 merged from DEVEL
- aded pam-pam_vbox package

Revision 1.279.2.5  2010/07/02 07:29:15  arvenil
- fixed build
- packaged missing files (2 still left)

Revision 1.279.2.4  2010/07/01 22:36:01  arvenil
- added workaround patch for gcc 4.5 warning
- BR: pam-devel

Revision 1.279.2.3  2010/07/01 20:43:53  arvenil
- up to 3.2.6

Revision 1.279.2.2  2010/06/05 16:32:47  arvenil
- s/InnoTek/Oracle/g

Revision 1.279.2.1  2010/06/05 16:31:18  arvenil
- up to 3.2.2
- gcc patch already in sources
- part of export_modules.patch already in sources
- doesn't build; fails on warnings

Revision 1.286  2010/07/08 18:04:27  arekm
- rel 9

Revision 1.285  2010/07/08 17:03:03  arekm
- rel 8; python2.7 support

Revision 1.284  2010/07/08 08:49:22  arekm
- release 7

Revision 1.283  2010/07/06 16:12:15  arekm
- release 6

Revision 1.282  2010/07/06 12:32:19  shadzik
- rel up

Revision 1.281  2010/07/05 20:23:31  shadzik
- rel up

Revision 1.280  2010/07/01 23:13:06  shadzik
- rel 3

Revision 1.279  2010/06/02 21:23:29  hawk
- Titanium uses xorg 1.7

Revision 1.278  2010/05/28 17:57:39  arekm
- release 2

Revision 1.277  2010/05/27 18:52:01  glen
- use xorg 18 drivers; video works with xserver 1.8, so rel 1

Revision 1.276  2010/05/27 18:40:35  pluto
- s/vboxvfs/vboxsf/

Revision 1.275  2010/05/16 13:44:01  pluto
- updated to 3.1.8, release 0.1 (vboxvfs.init needs cvs-server-side rename).

Revision 1.274  2010/05/01 15:00:39  sparky
- use main package name in patches

Revision 1.273  2010/04/28 13:50:38  arekm
- rel 4; allow gcc 4.5

Revision 1.272  2010/04/28 13:29:54  arekm
- release 3

Revision 1.271  2010/04/11 06:29:27  arekm
- release 2

Revision 1.270  2010/03/29 11:23:33  lmasko
- Up to 3.1.6.

Revision 1.269  2010/03/17 07:28:54  arekm
- release 5

Revision 1.268  2010/03/16 06:14:25  arekm
- release 4

Revision 1.267  2010/03/07 08:26:56  pluto
- oops, correct release to 3.

Revision 1.266  2010/03/07 08:25:49  pluto
- release 4 (rebuild with 2.6.32.9-4)

Revision 1.265  2010/02/15 09:41:02  arekm
- release 2

Revision 1.264  2010/02/13 15:06:56  adamg
- updated to 3.1.4

Revision 1.263  2010/02/04 09:44:54  tommat
- updated TODO

Revision 1.262  2010/02/04 09:44:13  tommat
- added vboxnetadp init script, rel 5

Revision 1.261  2010/02/03 17:45:29  glen
- remove NAME=%k:
  udevd[15120]: NAME="%k" is superfluous and breaks kernel supplied names, please remove it

Revision 1.260  2010/02/03 17:41:31  tommat
- add vboxnetctl to udev rules

Revision 1.259  2010/01/30 18:57:09  arekm
- release 4

Revision 1.258  2010/01/28 20:56:55  glen
- take different packaging approach, copy everything and move to proper place
  later, so no new feature is forgotten to be packaged. verified with urpmdiff.

Revision 1.257  2010/01/28 16:24:01  glen
- install vboxvideo_dri.so and it's deps, however still fails for me

Revision 1.256  2010/01/28 16:06:33  glen
- simplify outdir macro

Revision 1.255  2010/01/28 15:06:50  glen
- vboxvideo kernel driver needs drm kernel modules

Revision 1.254  2010/01/28 14:34:56  glen
- xorg driver needed dri lib (worked with 1.7.4)

Revision 1.253  2010/01/22 08:08:23  mguevara
- added requires QtCore >=4.6.1 fixes: "Qt FATAL: Executable
  <b>Qt-subapplication</b> requires Qt 4.6.x, found Qt 4.5.2."

Revision 1.252  2010/01/12 20:08:57  lkrotowski
- add network adapter driver module subpackage

Revision 1.251  2010/01/08 18:10:38  arekm
- release 3

Revision 1.250  2010/01/07 09:14:58  arekm
Add vboxguest Conflicts: vboxdrv due to: vboxguest: exports duplicate symbol RTMemExecFree (owned by vboxdrv)

Revision 1.249  2009/12/29 11:44:20  glen
- use desktop file from sources (more complete)

Revision 1.248  2009/12/27 21:01:12  lkrotowski
- missing BR

Revision 1.247  2009/12/19 11:00:37  arekm
- release 2

Revision 1.246  2009/12/17 19:12:59  cactus
- up to 3.1.2

Revision 1.245  2009/12/16 18:00:29  arekm
- release 2

Revision 1.244  2009/12/14 07:27:55  glen
- typo

Revision 1.243  2009/12/13 16:42:32  glen
- subpackage vbox guest additions iso; rel 1

Revision 1.242  2009/12/01 07:47:06  adamg
- updated to 3.1.0
- vboxadd renamed to vboxguest

Revision 1.241  2009/11/23 08:33:20  arekm
- rel 3; up for new xserver

Revision 1.240  2009/11/22 20:58:24  arekm
- release 2

Revision 1.239  2009/11/17 23:38:49  glen
- move mount.vboxsf back to kernel package, build it in kernel section separately

Revision 1.238  2009/11/17 22:43:55  adamg
- --without userspace --with kernel fails due to missing mount.vboxsf,
  move it from kernel subpackage to main package

Revision 1.237  2009/11/17 22:28:24  adamg
- force_userspace bcond

Revision 1.236  2009/11/17 22:03:32  adamg
- updated to 3.0.12

Revision 1.235  2009/11/17 14:42:21  glen
- install mountvboxsf as /sbin/mount.vboxsf and move it to vboxvfs kernel package
- adapter, desc cosmetics; rel 4

Revision 1.234  2009/11/17 14:21:10  glen
- alias vboxsf vboxvfs
- preserve timestamps of installed files; rel 3

Revision 1.233  2009/11/12 09:38:13  arekm
- release 2

Revision 1.232  2009/11/03 11:40:25  hawk
- updated to 3.0.10

Revision 1.231  2009/11/01 16:39:27  arekm
- release 3

Revision 1.230  2009/10/21 19:23:24  arekm
- rel 2

Revision 1.229  2009/10/14 14:28:20  lmasko
- Up to 3.0.8.

Revision 1.228  2009/09/30 12:49:32  matkor
- Added BR: libxml2-devel >= 2.6.26 but still unable to find libxml2 headers.

Revision 1.227  2009/09/24 22:49:18  hawk
- release 2

Revision 1.226  2009/09/10 12:03:46  lmasko
- Up to 3.0.6.

Revision 1.225  2009/08/19 00:00:12  hawk
- release 2

Revision 1.224  2009/08/05 17:14:17  lmasko
- Up to 3.0.4, builds and works on kernel 2.6.28.9 (not checked on 2.6.28.10).

Revision 1.223  2009/08/02 11:20:52  hawk
- release 3

Revision 1.222  2009/07/14 13:29:01  hawk
- %files for x86_64

Revision 1.221  2009/07/14 11:56:31  mmazur
- rel 2; was broken, fixed
- really fixed 3d

Revision 1.220  2009/07/14 11:34:55  baggins
- fix 3d acceleration

Revision 1.219  2009/07/14 10:33:38  baggins
- BR stdc++-static

Revision 1.218  2009/07/12 21:32:24  hawk
- release 1

Revision 1.217  2009/07/12 21:31:20  hawk
- verbose %files

Revision 1.216  2009/07/12 19:54:12  hawk
- start work on 3.0.2

Revision 1.215  2009/07/06 21:25:47  arvenil
- BR: python-modules

Revision 1.214  2009/07/04 12:04:21  arvenil
- BR: curl-devel

Revision 1.213  2009/07/02 08:57:12  lmasko
- Uploaded the proper UserManual.pdf to distfiles and updated its md5.

Revision 1.212  2009/07/01 15:22:16  lmasko
- Up to 3.0.0, initial version 0.1, builds and works on kernel 2.6.28.9-3.

Revision 1.211  2009/06/28 15:09:59  glen
- release 2

Revision 1.210  2009/06/27 10:39:50  arvenil
- BR: OpenGL-GLU-devel

Revision 1.209  2009/06/27 10:30:14  arvenil
- removed redundant %endif

Revision 1.208  2009/06/20 22:00:43  hawk
- dropped obsolete vboxnetflt_export.patch
- added support for building vboxvideo kernel module

Revision 1.207  2009/06/20 21:33:19  hawk
- Titanium has xserver 1.6 now

Revision 1.206  2009/06/20 19:04:15  hawk
- updated md5 for UserManual.pdf

Revision 1.205  2009/05/30 22:46:07  mguevara
- up to 2.2.4-1
- added patch3 VirtualBox-VBoxSysInfo.patch to recognize PLD Linux

Revision 1.204  2009/05/27 20:36:04  mguevara
- 2.2.2-2; added VBoxSysInfo.sh

Revision 1.203  2009/05/21 11:59:46  glen
- vboxadd and vboxvfs are for guest Linux system (by sparky)

Revision 1.202  2009/05/21 08:39:32  glen
- note the other kernel modules

Revision 1.201  2009/05/02 12:33:17  arekm
- more lang

Revision 1.200  2009/04/29 13:12:20  lmasko
- Builds and works under kernel 2.6.28.9-3.

Revision 1.199  2009/04/28 20:54:54  lmasko
- Up to 2.2.2, not tested if builds yet.

Revision 1.198  2009/04/26 19:42:37  hawk
- typo

Revision 1.197  2009/04/25 11:01:31  hawk
- fixed xinput-abi dep for Titanium, release 3

Revision 1.196  2009/04/22 21:44:54  hawk
- Titanium still has xorg 1.5

Revision 1.195  2009/04/21 20:02:19  arekm
- release 2

Revision 1.194  2009/04/20 16:55:53  arekm
- add xorg ABI deps

Revision 1.193  2009/04/20 16:50:30  arekm
- fix build on x86_64; use newer xorg drivers

Revision 1.192  2009/04/15 07:33:46  lmasko
- Up to 2.2.0. Builds and works on Th with kernel 2.6.27.17.

Revision 1.191  2009/04/07 21:59:24  vip
- missing install dir

Revision 1.190  2009/04/06 10:03:41  glen
- add mount.vdi

Revision 1.189  2009/03/25 19:40:41  arekm
- release 8

Revision 1.188  2009/03/18 08:41:10  arekm
- release 7

Revision 1.187  2009/03/13 19:58:49  arekm
- release 6

Revision 1.186  2009/03/13 19:48:52  vip
- rel 5

Revision 1.185  2009/02/26 21:46:59  arekm
- release 4

Revision 1.184  2009/02/24 23:13:35  hawk
- release 3

Revision 1.183  2009/02/17 23:04:22  arekm
- release 2

Revision 1.182  2009/02/16 22:44:11  wiget
- rel 1
- removed duplicated entry for el translation

Revision 1.181  2009/02/16 22:43:24  wiget
- updated to 2.1.4
- gcc 3.4.x is no longer required

Revision 1.180  2009/02/16 16:57:02  shadzik
- rel 5

Revision 1.179  2009/02/10 07:27:47  arekm
- release 4

Revision 1.178  2009/02/07 16:57:07  arekm
- release 3

Revision 1.177  2009/01/25 12:55:48  arekm
- release 2

Revision 1.176  2009/01/22 20:24:11  lmasko
- Cleaned up. Also uploaded binaries to dropin. Hope it's OK.

Revision 1.175  2009/01/22 16:17:38  lmasko
- Updated to 2.1.2. Compiles and works on i686 but spec probably needs some
  cleanups.

Revision 1.174  2009/01/19 12:30:26  arekm
- release 4

Revision 1.173  2009/01/15 12:54:13  arekm
- release 3

Revision 1.172  2009/01/10 22:37:34  arekm
- release 2

Revision 1.171  2008/12/20 15:46:06  adamg
- greek translations

Revision 1.170  2008/12/20 15:42:29  adamg
- BuildRequires: QtNetwork-devel

Revision 1.169  2008/12/20 11:40:27  hawk
- fixed x86_64 build, package 64bit guest drivers
- works for me, release 1

Revision 1.168  2008/12/19 14:35:46  hawk
- added init script for vboxnetflt kernel module, users are not allowed to
  load it, package init script for vboxfs too

Revision 1.167  2008/12/19 14:16:50  hawk
- builds at x86, not tested yet

Revision 1.166  2008/12/19 14:15:22  hawk
- pl desc and summary fixes

Revision 1.165  2008/12/19 13:48:16  hawk
- vditool confirmed as obsolete by upstream

Revision 1.164  2008/12/19 13:45:39  hawk
- build vboxnetflt host driver kernel module
- vditool seems to be removed

Revision 1.163  2008/12/19 12:17:53  hawk
- added build fix from upstream, still NFY

Revision 1.162  2008/12/17 22:32:03  hawk
- started work on 2.1.0, fetch sources for now, will continue tomorrow

Revision 1.161  2008/12/14 11:43:04  arekm
- release 4

Revision 1.160  2008/12/11 22:40:10  qboosh
- sorted BRs

Revision 1.159  2008/12/10 14:47:32  pluto
- s/BR:iasl/BR:acpica/

Revision 1.158  2008/12/06 09:00:19  arekm
- release 3

Revision 1.157  2008/12/05 22:58:29  sparky
- hardcode _libdir in wrapper script - don't guess at startup

Revision 1.156  2008/12/01 17:16:04  wolvverine
- rel.2:2.6.27.7-3

Revision 1.155  2008/11/24 11:08:09  hawk
- be consistent with Rs for kernel modules (vboxadd has commented one)
- added init script for vboxvfs module, users are not allowed to load it
- vboxvfs module requires vboxadd to be loaded before so R it

Revision 1.154  2008/11/24 08:40:40  hawk
- updated to 2.0.6

Revision 1.153  2008/11/21 16:15:46  arekm
- release 5

Revision 1.152  2008/11/14 10:22:08  areq
- rel 4

Revision 1.151  2008/11/13 10:12:25  hawk
- Titanium now needs gcc 3.x too

Revision 1.150  2008/11/12 22:23:16  glen
- kernel module pkgs description from modinfo

Revision 1.149  2008/11/08 09:27:06  arekm
- release 3

Revision 1.148  2008/11/04 07:42:04  arekm
- release 2

Revision 1.147  2008/10/31 00:48:02  glen
- order BR somewhat readable

Revision 1.146  2008/10/31 00:32:46  glen
- skip debug packages for kernel modules only build

Revision 1.145  2008/10/31 00:16:33  baggins
- cosmetics - sed vboxdrv/Makefile in prep

Revision 1.144  2008/10/25 15:02:45  hawk
- updated to 2.0.4

Revision 1.143  2008/10/14 14:10:46  glen
- pld release fixes

Revision 1.142  2008/10/13 20:47:57  arekm
- release 5

Revision 1.141  2008/10/10 13:08:13  hawk
- Th/Titanium now has xorg 1.5 so package correct drivers

Revision 1.140  2008/10/09 07:00:31  glen
- only th wants compat-gcc-34

Revision 1.139  2008/10/05 10:58:30  arekm
- rel 3; fix for new python 2.6

Revision 1.138  2008/10/03 18:06:12  arekm
- release 2

Revision 1.137  2008/10/01 19:14:38  qboosh
- libpng-devel not libpng

Revision 1.136  2008/09/18 11:39:46  hawk
- vboxdrv also must be built without hardening or it won't work at all

Revision 1.135  2008/09/18 10:03:08  hawk
- updated to 2.0.2 (once more builder script fails to download sources
  directly due to connection id being added to file name)

Revision 1.134  2008/09/09 16:48:46  hawk
- release 3

Revision 1.133  2008/09/08 12:01:40  hawk
- merged upstream fixes (ie. SEGV on creating new disk image)
- release 2

Revision 1.132  2008/09/07 20:00:20  charles
- added BRs: OpenGL-devel, python-devel, xorg-lib-libXmu-devel
- removed BR QtCore-devel (QtGui-devel deps)

Revision 1.131  2008/09/07 11:23:25  arvenil
- "Q" is before "S" ;)

Revision 1.130  2008/09/07 09:46:33  arvenil
- BR: QtGui-devel

Revision 1.129  2008/09/06 20:40:36  arvenil
- BR: QtCore-devel

Revision 1.128  2008/09/05 22:25:18  arekm
- hack seems no longer needed

Revision 1.127  2008/09/05 19:27:34  hawk
- disabled hardened build (root is no longer required to run virtualbox)
- VirtualBox*.so doesn't exist w/o hardened build
- sorted configure flags
- works for me, release 1

Revision 1.126  2008/09/05 07:28:37  arekm
- one more lib needed

Revision 1.125  2008/09/04 21:10:37  arekm
- files updated

Revision 1.124  2008/09/04 21:05:49  hawk
- partially fixed install stage and %files, needs review to be sure
  that all needed files are both installed and packaged

Revision 1.123  2008/09/04 19:59:00  arekm
- verbose build support

Revision 1.122  2008/09/04 19:14:01  hawk
- blah, too fast

Revision 1.121  2008/09/04 19:13:01  hawk
- replaced gcc.patch and compat-gcc hack with configure option
- VirtualBox has switched to qt4 so shall we
- still doesn't build (may be caused by my updated patches, dunno yet)

Revision 1.120  2008/09/04 18:29:44  hawk
- updated all patches except gcc one for 2.0.0

Revision 1.119  2008/09/04 15:56:58  hawk
- started update to 2.0.0, for now just fetch sources

Revision 1.118  2008/09/03 10:37:57  arvenil
- WTF?! reverted last md5 change for UserManual.pdf

Revision 1.117  2008/09/03 10:28:15  arvenil
- updated md5 for UserManual.pdf

Revision 1.116  2008/09/03 10:08:22  hawk
- fixed UserManual.pdf source URL

Revision 1.115  2008/09/03 09:58:48  arvenil
- up to 1.6.6
- removed no more needed patch (-makefile.patch)

Revision 1.114  2008/09/02 06:42:17  arekm
- release 6

Revision 1.113  2008/08/06 20:20:25  hawk
- release 5

Revision 1.112  2008/08/06 12:06:17  arekm
- rel 4; R: udev-core not udev

Revision 1.111  2008/08/05 09:04:21  arekm
- rel 3; fix build on th-x86_64

Revision 1.110  2008/08/05 08:06:29  hawk
- add missing makefiles, release 2

Revision 1.109  2008/08/05 07:01:30  arekm
- use separate compiler (3.4) for building op.c

Revision 1.108  2008/08/05 06:57:19  hawk
- updated to 1.6.4

Revision 1.107  2008/08/05 06:28:36  hawk
- use regular gcc for Titanium

Revision 1.106  2008/08/04 22:04:51  arekm
- rel 12; qt4 is not needed; use compat-gcc-34 for building userspace and current gcc for kernel modules

Revision 1.105  2008/08/04 20:23:17  hawk
- release 11

Revision 1.104  2008/08/01 11:05:32  arekm
- userspace can't be built with 4.3

Revision 1.103  2008/07/29 10:32:19  hawk
- release 10

Revision 1.102  2008/07/28 08:31:44  hawk
- release 9

Revision 1.101  2008/07/15 09:16:09  arekm
- release 8

Revision 1.100  2008/07/02 20:44:11  arekm
- release 7

Revision 1.99  2008/06/26 14:29:00  arekm
- release 6

Revision 1.98  2008/06/24 11:27:19  arekm
- release 5

Revision 1.97  2008/06/23 19:23:44  hawk
- release 4

Revision 1.96  2008/06/11 15:51:32  hawk
- release 3

Revision 1.95  2008-06-11 11:22:34  glen
- typo, add more kernel brands

Revision 1.94  2008-06-11 09:03:06  hawk
- gah, my brain still sleeps, added %post

Revision 1.93  2008-06-11 08:59:29  hawk
- added note about vboxdrv to %post like in xorg-driver-nvidia*.spec

Revision 1.92  2008-06-08 19:26:17  hawk
- blah, forgot to update disable-xclient-build.patch, release 2

Revision 1.91  2008-06-08 16:30:31  hawk
- dropped no-screen-size-limit.patch, now there is option in VirtualBox
  to set/remove this limit
- builds, works, release 1

Revision 1.90  2008-06-08 12:47:13  hawk
- started update to 1.6.2, now just fetch sources, NFY

Revision 1.89  2008-06-08 10:59:26  glen
- -module-build requires -headers

Revision 1.88  2008-06-07 11:39:09  arekm
- rel 5; BR kernel-headers

Revision 1.87  2008-05-26 06:57:39  hawk
- fixed post/preun for kernel drivers init scripts

Revision 1.86  2008-05-17 12:38:59  pluto
- fix install.

Revision 1.85  2008-05-16 13:44:56  hawk
- release 3, required cvs mv was done

Revision 1.84  2008-05-16 13:24:26  hawk
- added init script and udev rule to create /dev/vboxadd on guest systems,
  moved init scripts from userspace to kernel packages, w/o them they're
  useless anyway and cause guests to require whole VirtualBox instead of
  just kernel modules
- relase 2.1 because 'cvs mv VirtualBox.init,v VirtualBox-vboxdrv.init,v'
  is needed

Revision 1.83  2008-05-13 11:48:19  hawk
- added patch removing max display resolution limits for guest systems

Revision 1.82  2008-05-12 08:55:37  pluto
- shared-libstdc++ patch updated.

Revision 1.81  2008-05-06 12:49:29  hawk
- works ok, release 1

Revision 1.80  2008-05-06 12:05:10  hawk
- fixed %files for 1.6.0

Revision 1.79  2008-05-05 15:22:35  areq
- BR libxslt-devel

Revision 1.78  2008-05-05 07:30:04  hawk
- more BRs, added versions too, based on configure script

Revision 1.77  2008-05-05 07:16:34  hawk
- obvious qt4 BRs based on configure script

Revision 1.76  2008-05-05 06:42:31  hawk
- started update to 1.6.0, just fetch sources for now (note: source can't be
  downloaded directly anymore, only via Sun Download Center, but since its
  GPL I think we may keep it on DF)

Revision 1.75  2008-04-28 18:18:48  dzeus
- rel. 12

Revision 1.74  2008-04-04 16:07:30  glen
- AC-branch merge

Revision 1.73  2008-03-27 19:21:06  arvenil
- release 11 (kernel-2.6.22.19-5)

Revision 1.72  2008-03-17 20:10:27  arvenil
- adapter and dots

Revision 1.71  2008-03-13 20:20:44  arekm
- release 10

Revision 1.70  2008-03-01 00:47:43  pluto
- BR: glibc-devel(i686).

Revision 1.69  2008-02-29 19:27:57  glen
- VirtualBox -> VirtualBox OSE (somebody should read the license)

Revision 1.68  2008-02-29 19:12:39  glen
- AC-branch merge

Revision 1.67  2008-02-29 18:10:22  glen
- AC-branch merges

Revision 1.66  2008-02-29 16:14:54  zbyniu
- don't search for kernel headers when build userspace

Revision 1.65  2008-02-29 15:21:07  zbyniu
- proper way to build kernel modules
- cleaned up BRs marsh

Revision 1.64  2008-02-27 16:46:25  glen
- accept spaces in configure args
- prep source in %prep

Revision 1.63  2008-02-22 16:56:20  arvenil
- update also UserManual.pdf

Revision 1.62  2008-02-21 21:01:49  arekm
- up to 1.5.6

Revision 1.61  2008-02-13 00:02:31  wolvverine
- rel.9

Revision 1.60  2008-02-11 19:43:25  arekm
- rel 8

Revision 1.59  2008-02-10 22:56:17  wolvverine
- rel.7

Revision 1.58  2008-02-10 20:05:58  hawk
- register/unregister virtualbox service on (un)installation

Revision 1.57  2008-02-04 19:16:07  qboosh
- typo
- -udev belongs to userspace

Revision 1.56  2008-02-04 18:39:35  hawk
- suffix src package with alt kernel name (if present)
- disable userspace for alt_kernels

Revision 1.55  2008-02-04 17:55:30  qboosh
- formatting

Revision 1.54  2008-02-03 14:30:44  hawk
- separate package for udev rules, fixed broken directory deps on systems
  with static dev

Revision 1.53  2008-02-02 19:23:39  arekm
- rel 5; rel files only on x86_64

Revision 1.52  2008-02-02 18:46:31  arekm
- rel 4; builds and works on th x86_64

Revision 1.51  2008-02-02 18:41:24  arekm
- install rel files (works now on x86_64 th)

Revision 1.50  2008-02-02 17:32:36  arekm
- hack for building kernel modules on x86_64

Revision 1.49  2008-02-02 16:37:14  arekm
- 2.6.24 unified arch

Revision 1.48  2008-02-02 14:33:42  wolvverine
- rel.3

Revision 1.47  2008-01-31 12:30:45  tommat
- fix unresolved symbols while building kernel modules
- builds, STBR

Revision 1.46  2008-01-30 13:51:12  hawk
- package input and video drivers for xorg 1.4, other will not work
  on Th/Titanium

Revision 1.45  2008-01-29 13:41:07  hawk
- init script is back, its required to create /dev/vboxdrv on system with
  static dev
- release 2

Revision 1.44  2008-01-04 18:18:00  qboosh
- pl fixes, reduced excessive underscores

Revision 1.43  2007-12-31 13:18:37  arvenil
- BR: pulseaudio-devel

Revision 1.42  2007-12-31 13:16:17  arvenil
- updated UserManual.pdf (there was a really old version)
- better Source URL for UserManual.pdf

Revision 1.41  2007-12-30 18:31:20  arvenil
- up to 1.5.4
- added important TODO

Revision 1.40  2007-10-24 13:06:47  kosmo
- packaged QT language files. VirtualBox check its existence for now.

Revision 1.39  2007/10/24 12:58:37  kosmo
- updated to 1.5.2

Revision 1.38  2007/10/24 08:29:42  kosmo
- added udev rules
- added missing patch
- thx to Rafal Cygnarowski <zswi@pers.pl>

Revision 1.37  2007/10/23 07:00:23  pascalek
- disabled missing patch

Revision 1.36  2007/10/08 14:53:32  kosmo
- fixed build on x86_64
- there is problem with kernel modules (but on i686 works)

Revision 1.35  2007/10/03 14:47:58  kosmo
- added missing br

Revision 1.34  2007/10/01 14:53:46  kosmo
- file name fix

Revision 1.33  2007/10/01 14:36:56  kosmo
- packaged guest OS additions ISO image.

Revision 1.32  2007/10/01 14:15:12  kosmo
- init script not needed - dropped.

Revision 1.31  2007/10/01 13:37:22  kosmo
- fixed vditool permissions

Revision 1.30  2007/10/01 13:30:00  kosmo
- packaged tools for Host OS.
- packaged video and mouse drivers for Guest OS.

Revision 1.29  2007/09/29 21:27:41  kosmo
- packaged language files.

Revision 1.28  2007/09/29 20:39:57  kosmo
- improved module build,
- fixed kernel/userpsace bconds,
- dropped libstdc++ static linking,
- please read TODO and think about it ...

Revision 1.27  2007/09/22 11:39:13  aflinta
- added -j1 do kmk, otherwise build will fail on SMP

Revision 1.26  2007/09/22 10:26:18  pascalek
- Release 0.4, VBox.sh moved to Source4, use gxmessage when possible

Revision 1.25  2007/09/22 09:53:29  glen
- proper group deps (NOTE: PLD-doc/BuildRequires.txt is your friend)

Revision 1.24  2007/09/22 09:38:40  pascalek
- Relase 0.3; use vbox group

Revision 1.23  2007/09/22 09:25:20  glen
- don't be x86 specific

Revision 1.22  2007/09/21 23:15:19  pascalek
- Relase 0.2; just a desktop file

Revision 1.21  2007/09/21 21:27:24  pascalek
- fast update to 1.5.0 (works fine for me)

Revision 1.20  2007/09/01 11:21:33  qboosh
- informative summaries
- kernel/userspace bconds (unfinished)
- no kernel dependency in userspace package

Revision 1.19  2007/08/24 21:33:18  maciek2w
- updated to 1.4.0
- needs to check if builds on x8664

Revision 1.18  2007/03/13 19:05:51  shadzik
- install vs. cp, we already know what won

Revision 1.17  2007/03/13 18:47:37  glen
- files not produced by build process placed in %prep

Revision 1.16  2007/03/13 18:01:13  pascalek
- added UserManual

Revision 1.15  2007/03/13 17:15:05  glen
- file creation moved to %prep

Revision 1.14  2007/03/13 17:13:54  glen
- use 'EOF' (no interpolation); tabs

Revision 1.13  2007/03/13 17:04:45  pascalek
- Release 0.2
- Req kernel module
- initial init script
- fixed build and install so it started its basic work

Revision 1.12  2007/02/27 23:29:29  aflinta
- fixed build dir

Revision 1.11  2007/02/27 00:15:21  undefine
- up to 1.3.6
- kernel modules still doesn't build propertly

Revision 1.10  2007/02/14 23:15:14  aflinta
- just new fresh source

Revision 1.9  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.7  2007/01/22 08:23:56  glen
- todo update

Revision 1.6  2007/01/21 13:15:00  qboosh
- desc cosmetics, BR updates from vbox.spec
- use x8664 macro

Revision 1.5  2007/01/19 17:54:53  hawk
- typo, cosmetics

Revision 1.4  2007/01/19 13:54:16  hawk
- merged BRs from vbox.spec, added some versions based on ./configure
  contents

Revision 1.3  2007/01/19 13:43:44  hawk
- partial merge from vbox.spec

Revision 1.2  2007/01/19 13:22:23  hawk
- there are different output dirs for amd64 and x86 builds

Revision 1.1  2007/01/19 12:50:26  hawk
- VirtualBox is now licensed under GPLv2 so here is spec for it
- no official source tarballs are available, SVN snapshot was used
- builds, not tested, may even not run at all - TODO is looong
